Skitflow
Generated

Application

Skitflow API reference for Application endpoints.

POST
/application.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "projectId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/application.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

applicationId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/application.one?applicationId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.reload

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.reload" \  -H "Content-Type: application/json" \  -d '{    "appName": "string",    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.delete

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.delete" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.stop

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.stop" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.start

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.start" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.redeploy

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.redeploy" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.saveEnvironment

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.saveEnvironment" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.saveBuildType

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.saveBuildType" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string",    "buildType": "dockerfile",    "dockerContextPath": "string",    "dockerBuildStage": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.saveGithubProvider

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.saveGithubProvider" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string",    "owner": "string",    "githubId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.saveGitlabProvider

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.saveGitlabProvider" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string",    "gitlabBranch": "string",    "gitlabBuildPath": "string",    "gitlabOwner": "string",    "gitlabRepository": "string",    "gitlabId": "string",    "gitlabProjectId": 0,    "gitlabPathNamespace": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.saveBitbucketProvider

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.saveBitbucketProvider" \  -H "Content-Type: application/json" \  -d '{    "bitbucketBranch": "string",    "bitbucketBuildPath": "string",    "bitbucketOwner": "string",    "bitbucketRepository": "string",    "bitbucketId": "string",    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.saveDockerProvider

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.saveDockerProvider" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.saveGitProdiver

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.saveGitProdiver" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.markRunning

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.markRunning" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.update" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.refreshToken

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.refreshToken" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.deploy

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.deploy" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.cleanQueues

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.cleanQueues" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/application.readTraefikConfig

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

applicationId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/application.readTraefikConfig?applicationId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/application.updateTraefikConfig

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/application.updateTraefikConfig" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string",    "traefikConfig": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/application.readAppMonitoring

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

appName*string

Response Body

application/json

application/json

curl -X GET "https://example.com/application.readAppMonitoring?appName=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}